<!DOCTYPE html> 
<html lang ="en">
    <head>
        <meta charset ="utf-8">
        <link rel="stylesheet" type="text/css" href="../css/checkout.css">
        <link href="https://fonts.googleapis.com/css?family=Forum|Great+Vibes&display=swap" rel="stylesheet">
        <title>Taitava tonttu - Checkout</title>
    </head> 
    <body>
        <div class="header">
            <div class="menu">
                <div class="mBtn" id="btn1">
                    <h1>Taitava tonttu</h1>
                </div>
            </div>
        </div>
        <form class="wrapper1" action="/checkout/payment" method="POST">
            <div class="summary">
                <h2>Dear, <%= user %>, here you have a summary of your order:</h2>
                <ul> 
                <% for (let i = 0; i < cart.products.length; i++) { %>
                    <% let indPrice = cart.products[i].price.split("€")[0]; %>
                    <% let quantity = cart.products[i].quantity; %>
                    <li><h3><input type="hidden" name="productName" value="<%= cart.products[i].productName %>"><%= cart.products[i].productName %></h3>
                        <p><input type="hidden" name="productColors" value="<%= cart.products[i].colors %>">colors: <%= cart.products[i].colors %> <br>
                        <input type="hidden" name="productQuantity" value="<%= quantity %>">quantity: <%= quantity %> -- <input type="hidden" name="productPrice" value="<%= indPrice * quantity %>€">price: <%= indPrice * quantity %>€ </p>
                    </li>
                <% } %>
                </ul>
                <h2><input type="hidden" name="finalPrice" value="<%= finalPrice %>">Final price: <%= finalPrice %> </h2>
            </div>
            <div class="shipping">
                <h2>Your shipping and contact information:</h2>
                <ul>
                    <li><h3><input type="hidden" name="name" value="<%= profile.fullName %>">Name: </h3><p><%= profile.fullName %><p></li>
                    <li><h3><input type="hidden" name="shipAddress" value="<%= profile.shipAddress %>">Shipping address:</h3><p><%= profile.shipAddress %></p></li>
                    <li><h3><input type="hidden" name="billAddress" value="<%= profile.billAddress %>">Billing address:</h3><p><%= profile.billAddress %></p></li>
                    <li><h3><input type="hidden" name="email" value="<%= profile.email %>">E-mail:</h3><p><%= profile.email %></p></li>
                </ul>
            </div>
            <div class="payment">
                <h2>Fill in your payment information below:</h2>
                <ul>
                    <li><h3>Card type: </h3><select name="cardType">
                        <option value="visa">Visa</option>
                        <option value="mastercard">Mastercard</option>
                        <option value="amExpress">American Express</option>
                    </select></li>
                    <li><h3>Card number: </h3><input type="text" name="cardNumber"></li>
                    <li><h3>Expiration date: </h3>
                        <select name="month" value="Month">
                            <option value="January">January</option>
                            <option value="February">February</option>
                            <option value="March">March</option>
                            <option value="April">April</option>
                            <option value="May">May</option>
                            <option value="June">June</option>
                            <option value="July">July</option>
                            <option value="August">August</option>
                            <option value="September">September</option>
                            <option value="October">October</option>
                            <option value="November">November</option>
                            <option value="December">December</option>
                        </select>   
                        <select name="year" value="Year">
                            <option value="19">2019</option>
                            <option value="20">2020</option>
                            <option value="21">2021</option>
                            <option value="22">2022</option>
                            <option value="23">2023</option>
                            <option value="24">2024</option>
                        </select>
                    </li>
                    <li><h3>CVV: </h3><input type="text" name="cvv" minlenght="3" maxlength="3"></li>
                    <li><h3>Name on bank card:</h3><input type="text" name="cardName"></li>
                    <li><input type="submit" value="Buy order!"> <input type="submit" class="button" formaction="/checkout/cancel" value="Cancel!">
                </ul>
            </div>
        </form>
    </body>
</html>